Xfce Forum

Sub domains
 

You are not logged in.

#1 2013-07-11 17:30:30

smontanaro
Member
Registered: 2013-07-11
Posts: 6

Emacs keybindings in Xfce 4.10

Hi, new user of Xfce.  When my OpenSUSE 12.1 machine was replaced by a 12.2 machine, I decided to take the plunge.  During the plunge, I lost all semblance of Emacs keybindings in Gtk widgets.  This is especially annoying in Chrome, as all my favorite keystrokes turn out to do something (bookmark, search, print, etc).  Drives me nuts. I went looking.  I found a number of sources on the net which suggested this command should work:

xfconf-query -c xsettings -p /Gtk/KeyThemeName -s Emacs

but that fails with an error about a missing property:

Property "/Gtk/KeyThemeName" does not exist on channel "xsettings". If a new property should be created, use the --create option.

I have not yet tried running with the --create option on the theory that if there was actually value in switching keybindings in Gtk widgets that property would already exist.

So, do I add --create or is there some other way to spell, "give me my Emacs keybindings"?

Thx,

Skip

Offline

#2 2013-07-12 00:52:55

MountainDewManiac
Member
From: USA police-state welfare-state
Registered: 2013-03-24
Posts: 385

Re: Emacs keybindings in Xfce 4.10

Have you tried the following?
Settings / Settings Editor / xsettings / Gtk / KeyThemeName
Click Edit property
Change value to Emacs


Mountain Dew Maniac

How to Ask for Help <=== Click on this link

Offline

#3 2013-07-12 13:23:39

smontanaro
Member
Registered: 2013-07-11
Posts: 6

Re: Emacs keybindings in Xfce 4.10

I looked, but my Settings menu only has Settings Manager, Yast, and Install/Remove Software entries.  If I run xfce4-settings-editor manually, the only Gtk property is Gtk/CursorThemeName.  Am I supposed to have to create a /Gtk/KeyThemeName property, or is it already supposed to exist?

Thx,

Skip

Offline

#4 2013-07-12 17:58:51

MountainDewManiac
Member
From: USA police-state welfare-state
Registered: 2013-03-24
Posts: 385

Re: Emacs keybindings in Xfce 4.10

It's already here on mine.

Version check? xfce4-settings-editor - 4.11.0-0ubuntu1~ppa0.12.10.1 I don't know which other files would be related to this, but if you can think of any I'll check versions. Would you know what the relevant configuration is called and where it's located?

Here's a few installed components and their version designations:
xfce4-settings - 4.11.0-0ubuntu1~ppa0.12.10.1
xfdesktop4 - 4.10.2-0ubuntu1~ppa0.12.10.1
libgarcon-1-0 - 0.2.1-1~ppa0.12.10.1
xfdesktop4-data - 4.10.2-0ubuntu1~ppa0.12.10.1
libxfconf-0-2 - 4.10.0-1
xfce-keyboard-shortcuts - 4.10.0-1
gtk2-engines-xfce - 3.0.1-1~ppa0.12.10.1
xfwm4-themes - 4.10.0-1
xfwm4 - 4.10.1-0ubuntu1~ppa0.12.10.1
libxfcegui4-4 - 4.10.0-1
libexo-1-0 - 0.10.2-0ubuntu1~ppa0.12.10.1
exo-utils -0.10.2-0ubuntu1~ppa0.12.10.1
libxfce4util6 - 4.10.1-1~ppa0.12.10.1
libxfce4util-bin - 4.10.1-1~ppa0.12.10.1
libxfce4util-common - 4.10.1-1~ppa0.12.10.1
libxfce4ui-1-0 - 4.10.0-1

xfce4-terminal - 0.6.1-0ubuntu1~ppa0.12.10.1

thunar - 1.6.3-0ubuntu1~ppa0.12.10.1
xfce4-session - 4.10.1-0ubuntu1~ppa0.12.10.1
xfce4-panel - 4.10.1-0ubuntu1~ppa0.12.10.1
xfce4-quicklauncher-plugin - 1.9.4-9build2
xfce4-notifyd - 0.2.4-2~ppa0.12.10.1
xfce4-xkb-plugin - 1:0.7.0-0ubuntu1~ppa0.12.10.1

Regards,
MDM


Mountain Dew Maniac

How to Ask for Help <=== Click on this link

Offline

#5 2013-07-12 18:31:34

smontanaro
Member
Registered: 2013-07-11
Posts: 6

Re: Emacs keybindings in Xfce 4.10

Thanks for the version info.  I'd be surprised if that would help.  If you search for "xfce emacs" on the net, you'll get a number of hits which tell you to use this command to get Emacs bindings:

xfconf-query -c xsettings -p /Gtk/KeyThemeName -s Emacs

That advice is generally given in the context of running 4.4 or 4.6, so it's not like I'm looking for something new to a later version of xfce4.

Your list does give me some ideas though. OpenSUSE 12.2 doesn't appear to have a gtk2-engines-xfce package, but it does have a gtk2-engines package which isn't installed. I'll start looking for uninstalled analogs to your Ubuntu packages and see if installing one of them solves the problem.

S

Offline

#6 2013-07-13 00:35:59

MountainDewManiac
Member
From: USA police-state welfare-state
Registered: 2013-03-24
Posts: 385

Re: Emacs keybindings in Xfce 4.10

Okay. Let me know if you figure out what config file covers the changes you wish to make and I will see about pasting mine (or a portion, if it is very large) for you. Perhaps you could bypass normal means and just edit yours in order to see if the function is available but the mechanics of setting it are just pooched.

Regards,
MDM


Mountain Dew Maniac

How to Ask for Help <=== Click on this link

Offline

#7 2013-08-06 19:01:54

smontanaro
Member
Registered: 2013-07-11
Posts: 6

Re: Emacs keybindings in Xfce 4.10

MountainDewManiac wrote:

Version check? xfce4-settings-editor - 4.11.0-0ubuntu1~ppa0.12.10.1

xfce4-settings 4.10.0-2.1.2 (no separate xfce4-settings-editor package, but I have the command)

xfdesktop4 - 4.10.2-0ubuntu1~ppa0.12.10.1

4.10.0-3.2.2

libgarcon-1-0 - 0.2.1-1~ppa0.12.10.1

0.2.0-2.1.2

xfdesktop4-data - 4.10.2-0ubuntu1~ppa0.12.10.1

no such package

libxfconf-0-2 - 4.10.0-1

4.10.0-3.1.2

xfce-keyboard-shortcuts - 4.10.0-1

no such package

gtk2-engines-xfce - 3.0.1-1~ppa0.12.10.1

no such package - lots of "gtk2-engine-*" packages, but nothing that looks xfce-related

xfwm4-themes - 4.10.0-1

4.10.0-2.1.1 (was not previously installed)

xfwm4 - 4.10.1-0ubuntu1~ppa0.12.10.1

4.10.0-2.4.1

libxfcegui4-4 - 4.10.0-1

4.10.0-2.1.2 (was not previously installed)

libexo-1-0 - 0.10.2-0ubuntu1~ppa0.12.10.1

0.8.0-2.2.2

exo-utils -0.10.2-0ubuntu1~ppa0.12.10.1

4.10.0-2.1.2 (called exo-tools, I trust that's the same)

libxfce4util6 - 4.10.1-1~ppa0.12.10.1

4.10.0-2.1.2

libxfce4util-bin - 4.10.1-1~ppa0.12.10.1

4.10.0-2.1.2 (libxfce4util-tools, was not previously installed)

libxfce4util-common - 4.10.1-1~ppa0.12.10.1

no such package

libxfce4ui-1-0 - 4.10.0-1

4.10.0-3.1.2

xfce4-terminal - 0.6.1-0ubuntu1~ppa0.12.10.1

nothing obviously similar

thunar - 1.6.3-0ubuntu1~ppa0.12.10.1

1.4.0-3.1.2

xfce4-session - 4.10.1-0ubuntu1~ppa0.12.10.1

4.10.0-3.4.1

xfce4-panel - 4.10.1-0ubuntu1~ppa0.12.10.1

4.10.0-2.2.1

xfce4-quicklauncher-plugin - 1.9.4-9build2

1.9.4-32.1.2 (named xfce4-panel-plugin-quicklauncher, not previously installed)

xfce4-notifyd - 0.2.4-2~ppa0.12.10.1

0.2.2+git20120516-2.1.2 (was not previously installed)

xfce4-xkb-plugin - 1:0.7.0-0ubuntu1~ppa0.12.10.1

0.5.4.3-4.1.2 (named xfce4-panel-plugin-xkb, was not previously installed

Thanks for your help.

Offline

Board footer

Powered by FluxBB